'use client';
Object.defineProperty(exports, '__esModule', { value: true });

var navigation = require('next/navigation');
var react = require('react');

const GTM_ID = process.env.NEXT_PUBLIC_GTM_ID;
const GTM_LOG = !!process.env.NEXT_PUBLIC_GTM_LOG;
const GoogleTagManagerClient = ()=>{
    const pathname = navigation.usePathname();
    const searchParams = navigation.useSearchParams();
    if (GTM_LOG) {
        react.useEffect(()=>{
            console.log('next-gtm', GTM_ID);
        }, []);
    }
    react.useEffect(()=>{
        if (pathname) {
            pageview(pathname);
        }
    }, [
        pathname,
        searchParams
    ]);
    return null;
};
const pageview = (url)=>{
    if (typeof window.dataLayer !== 'undefined') {
        const input = {
            event: 'pageview',
            page: url
        };
        window.dataLayer.push(input);
        if (GTM_LOG) {
            console.log('next-gtm', input);
        }
    }
};

exports.GTM_ID = GTM_ID;
exports.GTM_LOG = GTM_LOG;
exports.GoogleTagManagerClient = GoogleTagManagerClient;
exports.pageview = pageview;
