import IntlConfig from '../core/IntlConfig';
/**
 * Enhances the incoming props with defaults.
 */
export default function getInitializedConfig<Props extends Omit<IntlConfig, 'children'>>({ getMessageFallback, messages, onError, ...rest }: Props): Omit<Props, "onError" | "getMessageFallback" | "messages"> & {
    messages: import("../core/AbstractIntlMessages").default | undefined;
    onError: (error: import("..").IntlError) => void;
    getMessageFallback: (info: {
        error: import("..").IntlError;
        key: string;
        namespace?: string | undefined;
    }) => string;
};
