import { defaultGetMessageFallback, defaultOnError } from '../core/defaults';
import validateMessages from '../core/validateMessages';
/**
 * Enhances the incoming props with defaults.
 */
export default function getInitializedConfig({ getMessageFallback, messages, onError, ...rest }) {
    const finalOnError = onError || defaultOnError;
    const finalGetMessageFallback = getMessageFallback || defaultGetMessageFallback;
    if (process.env.NODE_ENV !== 'production') {
        if (messages) {
            validateMessages(messages, finalOnError);
        }
    }
    return {
        ...rest,
        messages,
        onError: finalOnError,
        getMessageFallback: finalGetMessageFallback
    };
}
//# sourceMappingURL=getInitializedConfig.js.map